Create catalogs
POST
/merchants/{merchantCode}/catalogs
const url = 'https://catalog.shopgate.io/v1/merchants/example/catalogs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"catalogs":[{"code":"someCode","name":"Default Catalog","defaultLocaleCode":"en-us","defaultCurrencyCode":"USD","externalUpdateDate":"2018-12-15T00:00:23.114Z","isDefault":false,"parentCatalogCode":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/catalogs \ --header 'Content-Type: application/json' \ --data '{ "catalogs": [ { "code": "someCode", "name": "Default Catalog", "defaultLocaleCode": "en-us", "defaultCurrencyCode": "USD", "externalUpdateDate": "2018-12-15T00:00:23.114Z", "isDefault": false, "parentCatalogCode": "example" } ] }'Create catalogs
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
catalogs
required
Array
object
code
required
Human readable code of the entity
string
Example
someCodename
required
string
Example
Default CatalogdefaultLocaleCode
string
Example
en-usdefaultCurrencyCode
string
Example
USDexternalUpdateDate
null | string format: date-time
Example
2018-12-15T00:00:23.114ZisDefault
boolean
parentCatalogCode
null | string
Responses
Section titled “Responses”Successfully created catalogs
Media typeapplication/json
object
errors
required
Array<object>
object
code
number
entity
string
entityId
string | object
entityIndex
integer
reason
string
catalogCode
string
subentityPath
Array<string | number>
validationErrors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
Example
{ "errors": [ { "code": 400, "entity": "planet", "entityId": "pluto", "entityIndex": 1, "reason": "Planet pluto was not found (did you mean dwarf planet pluto?)", "subentityPath": [ "categories", 0 ], "validationErrors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } ]}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
